import { __assign } from 'tslib';
import { withThemeableProps } from '../../../useThemeable.js';
import { withCalendarProps } from '../useCalendar.js';

var DefaultCalendarYearStrings = {
  prevRangeAriaLabel: void 0,
  nextRangeAriaLabel: void 0
};
var withCalendarYearProps = function() {
  return __assign(__assign(__assign({}, withThemeableProps()), withCalendarProps()), { highlightCurrentYear: { type: Boolean, default: false }, highlightSelectedYear: { type: Boolean, default: false }, minYear: { type: Number, default: void 0 }, maxYear: { type: Number, default: void 0 }, selectedYear: { type: Number, default: void 0 }, navigatedYear: { type: Number, default: void 0 }, strings: { type: Object, default: function() {
    return DefaultCalendarYearStrings;
  } } });
};
var withCalendarYearRangeProps = function() {
  return {
    fromYear: { type: Number, required: true },
    toYear: { type: Number, required: true }
  };
};

export { withCalendarYearProps, withCalendarYearRangeProps };
